set define off
set verify off
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end;
/
 
--       AAAA       PPPPP   EEEEEE  XX      XX
--      AA  AA      PP  PP  EE       XX    XX
--     AA    AA     PP  PP  EE        XX  XX
--    AAAAAAAAAA    PPPPP   EEEE       XXXX
--   AA        AA   PP      EE        XX  XX
--  AA          AA  PP      EE       XX    XX
--  AA          AA  PP      EEEEEE  XX      XX
prompt  Set Credentials...
 
begin
 
  -- Assumes you are running the script connected to SQL*Plus as the Oracle user APEX_040200 or as the owner (parsing schema) of the application.
  wwv_flow_api.set_security_group_id(p_security_group_id=>nvl(wwv_flow_application_install.get_workspace_id,4874912836106626));
 
end;
/

begin wwv_flow.g_import_in_progress := true; end;
/
begin 

select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';

end;

/
begin execute immediate 'alter session set nls_numeric_characters=''.,''';

end;

/
begin wwv_flow.g_browser_language := 'en'; end;
/
prompt  Check Compatibility...
 
begin
 
-- This date identifies the minimum version required to import this file.
wwv_flow_api.set_version(p_version_yyyy_mm_dd=>'2012.01.01');
 
end;
/

prompt  Set Application ID...
 
begin
 
   -- SET APPLICATION ID
   wwv_flow.g_flow_id := nvl(wwv_flow_application_install.get_application_id,100);
   wwv_flow_api.g_id_offset := nvl(wwv_flow_application_install.get_offset,0);
null;
 
end;
/

prompt  ...ui types
--
 
begin
 
null;
 
end;
/

prompt  ...plugins
--
--application/shared_components/plugins/item_type/pdfembedded
 
begin
 
wwv_flow_api.create_plugin (
  p_id => 6495060629470889 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_type => 'ITEM TYPE'
 ,p_name => 'PDFEMBEDDED'
 ,p_display_name => 'PDFembedded'
 ,p_supported_ui_types => 'DESKTOP'
 ,p_image_prefix => '#PLUGIN_PREFIX#'
 ,p_plsql_code => 
'--==============================================================================='||unistr('\000a')||
'-- render <ob> tag using PDFObjects library --==============================================================================='||unistr('\000a')||
'function render_PDFembedded ('||unistr('\000a')||
'    p_item                in apex_plugin.t_page_item,'||unistr('\000a')||
'    p_plugin              in apex_plugin.t_plugin,'||unistr('\000a')||
'    p_value               in varchar2,'||unistr('\000a')||
'    p_is_readonly '||
'        in boolean,'||unistr('\000a')||
'    p_is_printer_friendly in boolean )'||unistr('\000a')||
'    return apex_plugin.t_page_item_render_result'||unistr('\000a')||
'is'||unistr('\000a')||
'    '||unistr('\000a')||
'    l_name            varchar2(30);'||unistr('\000a')||
'--    l_number_of_stars number         := nvl(to_number(p_item.attribute_01), c_default_stars);'||unistr('\000a')||
'--    l_clear_tooltip   varchar2(4000) := sys.htf.escape_sc(nvl(p_plugin.attribute_01, ''Clear Rating''));'||unistr('\000a')||
''||unistr('\000a')||
'    l_result apex_plugin.t_page_item_render_re'||
'sult;'||unistr('\000a')||
'    l_openmsg varchar2(30);'||unistr('\000a')||
'    l_closemsg varchar2(30);'||unistr('\000a')||
'    l_button varchar2(1);'||unistr('\000a')||
'begin'||unistr('\000a')||
''||unistr('\000a')||
'    l_openmsg:=''Preview'';'||unistr('\000a')||
'    l_closemsg:=''Close'';'||unistr('\000a')||
'    l_button:=''N'';'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'/**'||unistr('\000a')||
'att_01: URL'||unistr('\000a')||
'att_02: View'||unistr('\000a')||
'att_03: Navigation'||unistr('\000a')||
'att_04: Toolbar'||unistr('\000a')||
'att_05: Messages'||unistr('\000a')||
'att_06: StatusBar'||unistr('\000a')||
'att_07: Mode'||unistr('\000a')||
'att_08: Width'||unistr('\000a')||
'att_09: Height'||unistr('\000a')||
'att_10: Zoom'||unistr('\000a')||
''||unistr('\000a')||
'**/'||unistr('\000a')||
''||unistr('\000a')||
'apex_javascript.add_library ('||unistr('\000a')||
'        p_name      => ''pdfembbed'','||unistr('\000a')||
'      '||
'  p_directory => p_plugin.file_prefix,'||unistr('\000a')||
'        p_version   => null );'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'if (l_button=''Y'') then'||unistr('\000a')||
''||unistr('\000a')||
'    sys.htp.p(''<button id="link" ''   ||  p_item.element_attributes  ||   '' type="button" onclick="'||unistr('\000a')||
'u='''''' || sys.htf.escape_sc(p_item.attribute_01) || '''''';'||unistr('\000a')||
'jview='''''' || sys.htf.escape_sc(p_item.attribute_02) || '''''';'||unistr('\000a')||
'pmode='''''' || sys.htf.escape_sc(p_item.attribute_07) || '''''';'||unistr('\000a')||
'nav='''''' || sys.htf.escape_sc('||
'p_item.attribute_03) || '''''';'||unistr('\000a')||
'tool='''''' || sys.htf.escape_sc(p_item.attribute_04) || '''''';'||unistr('\000a')||
'msg='''''' || sys.htf.escape_sc(p_item.attribute_05) || '''''';'||unistr('\000a')||
'sta = '''''' || sys.htf.escape_sc(p_item.attribute_06) || '''''';'||unistr('\000a')||
'zoom= ''  || sys.htf.escape_sc(p_item.attribute_10) || '';'||unistr('\000a')||
'w1=''  || p_item.attribute_08 || '';'||unistr('\000a')||
'h1=''  || p_item.attribute_09 || '';'||unistr('\000a')||
'com_j4l_pdf(u,w1,h1,tool,nav,sta,msg,zoom,jview,pmode,''''''  ||  l_op'||
'enmsg || '''''' ,'''''' ||  l_closemsg || '''''');'||unistr('\000a')||
'"> ''  ||  l_openmsg ||   '' </button>'');'||unistr('\000a')||
''||unistr('\000a')||
'else '||unistr('\000a')||
''||unistr('\000a')||
'sys.htp.p(''<a id="link" href="#" ''   ||  p_item.element_attributes  ||  ''  onclick="'||unistr('\000a')||
'u='''''' || sys.htf.escape_sc(p_item.attribute_01) || '''''';'||unistr('\000a')||
'jview='''''' || sys.htf.escape_sc(p_item.attribute_02) || '''''';'||unistr('\000a')||
'pmode='''''' || sys.htf.escape_sc(p_item.attribute_07) || '''''';'||unistr('\000a')||
'nav='''''' || sys.htf.escape_sc(p_item.attribute_03)'||
' || '''''';'||unistr('\000a')||
'tool='''''' || sys.htf.escape_sc(p_item.attribute_04) || '''''';'||unistr('\000a')||
'msg='''''' || sys.htf.escape_sc(p_item.attribute_05) || '''''';'||unistr('\000a')||
'sta = '''''' || sys.htf.escape_sc(p_item.attribute_06) || '''''';'||unistr('\000a')||
'zoom= ''  || sys.htf.escape_sc(p_item.attribute_10) || '';'||unistr('\000a')||
'w1=''  || p_item.attribute_08 || '';'||unistr('\000a')||
'h1=''  || p_item.attribute_09 || '';'||unistr('\000a')||
'p_value=''''''  || p_value || '''''';'||unistr('\000a')||
'com_j4l_pdf(u,w1,h1,tool,nav,sta,msg,zoom,jview,pmode,'''||
'''''  ||  l_openmsg || '''''' ,'''''' ||  l_closemsg || '''''');'||unistr('\000a')||
'"> ''  ||  l_openmsg ||   '' </a>'');'||unistr('\000a')||
''||unistr('\000a')||
'end if;'||unistr('\000a')||
''||unistr('\000a')||
'sys.htp.p(''<div id="pdf" style="border: 1px solid #000000; margin: 2em auto; display: none;" ></div>'');'||unistr('\000a')||
''||unistr('\000a')||
'    return l_result;'||unistr('\000a')||
''||unistr('\000a')||
'end render_PDFembedded;'||unistr('\000a')||
''
 ,p_render_function => 'render_PDFembedded'
 ,p_standard_attributes => 'VISIBLE:SOURCE:ELEMENT:WIDTH:HEIGHT'
 ,p_substitute_attributes => true
 ,p_subscribe_plugin_settings => true
 ,p_version_identifier => '1.0'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 4316321644982162 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 6495060629470889 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 1
 ,p_display_sequence => 10
 ,p_prompt => 'Report URL'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => true
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 4316744923986529 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 6495060629470889 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 2
 ,p_display_sequence => 20
 ,p_prompt => 'View'
 ,p_attribute_type => 'SELECT LIST'
 ,p_is_required => false
 ,p_default_value => 'default'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 4317142119987801 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 4316744923986529 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 10
 ,p_display_value => 'None'
 ,p_return_value => 'default'
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 4317538453989504 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 4316744923986529 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 20
 ,p_display_value => 'FitV'
 ,p_return_value => 'FitV'
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 4317935218990998 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 4316744923986529 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 30
 ,p_display_value => 'FitH'
 ,p_return_value => 'FitH'
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 4319124435996081 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 4316744923986529 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 60
 ,p_display_value => 'FitB'
 ,p_return_value => 'FitB'
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 4319523357996581 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 4316744923986529 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 70
 ,p_display_value => 'FitBH'
 ,p_return_value => 'FitBH'
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 4320349871999469 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 4316744923986529 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 90
 ,p_display_value => 'FitBV'
 ,p_return_value => 'FitBV'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 4321237363005270 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 6495060629470889 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 3
 ,p_display_sequence => 30
 ,p_prompt => 'Navigation panel'
 ,p_attribute_type => 'CHECKBOX'
 ,p_is_required => false
 ,p_default_value => 'N'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 4321631109008130 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 6495060629470889 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 4
 ,p_display_sequence => 40
 ,p_prompt => 'Tools bar'
 ,p_attribute_type => 'CHECKBOX'
 ,p_is_required => false
 ,p_default_value => 'Y'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 4322020542013017 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 6495060629470889 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 5
 ,p_display_sequence => 50
 ,p_prompt => 'Messages'
 ,p_attribute_type => 'CHECKBOX'
 ,p_is_required => false
 ,p_default_value => 'N'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 4322418385014031 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 6495060629470889 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 6
 ,p_display_sequence => 60
 ,p_prompt => 'Status bar'
 ,p_attribute_type => 'CHECKBOX'
 ,p_is_required => false
 ,p_default_value => 'N'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 4322845115016835 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 6495060629470889 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 7
 ,p_display_sequence => 70
 ,p_prompt => 'Mode'
 ,p_attribute_type => 'SELECT LIST'
 ,p_is_required => false
 ,p_default_value => 'none'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 4323243174017726 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 4322845115016835 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 10
 ,p_display_value => 'None'
 ,p_return_value => 'none'
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 4323641017018711 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 4322845115016835 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 20
 ,p_display_value => 'Bookmarks'
 ,p_return_value => 'Bookmarks'
  );
wwv_flow_api.create_plugin_attr_value (
  p_id => 4324038429019910 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_attribute_id => 4322845115016835 + wwv_flow_api.g_id_offset
 ,p_display_sequence => 30
 ,p_display_value => 'Thumbs'
 ,p_return_value => 'Thumbs'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 4324519020028934 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 6495060629470889 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 8
 ,p_display_sequence => 80
 ,p_prompt => 'PDF area width'
 ,p_attribute_type => 'NUMBER'
 ,p_is_required => true
 ,p_default_value => '500'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 4324945318031955 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 6495060629470889 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 9
 ,p_display_sequence => 90
 ,p_prompt => 'PDF area height'
 ,p_attribute_type => 'NUMBER'
 ,p_is_required => true
 ,p_default_value => '700'
 ,p_is_translatable => false
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 4325341652033571 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 6495060629470889 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 10
 ,p_display_sequence => 100
 ,p_prompt => 'Zoom'
 ,p_attribute_type => 'NUMBER'
 ,p_is_required => false
 ,p_default_value => '50'
 ,p_is_translatable => false
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A205044464F626A6563742C20636F70797269676874202843292032303038205068696C697020487574636869736F6E20287069707765726B732E636F6D292E20446F63756D656E746174696F6E20616E64206578616D706C65732061726520617420';
wwv_flow_api.g_varchar2_table(2) := '7777772E7064666F626A6563742E636F6D2E2056657273696F6E20312E322C20417072696C20323031312E204D4954207374796C65206C6963656E7365202A2F0A766172205044464F626A6563743D66756E6374696F6E2879297B69662821797C7C2179';
wwv_flow_api.g_varchar2_table(3) := '2E75726C297B72657475726E2066616C73653B7D76617220773D22312E32222C623D792E69647C7C66616C73652C693D792E77696474687C7C2231303025222C7A3D792E6865696768747C7C2231303025222C723D792E7064664F70656E506172616D73';
wwv_flow_api.g_varchar2_table(4) := '2C612C783B76617220763D66756E6374696F6E28297B76617220633D6E756C6C3B69662877696E646F772E416374697665584F626A656374297B633D6E657720416374697665584F626A65637428224163726F5044462E50444622293B6966282163297B';
wwv_flow_api.g_varchar2_table(5) := '633D6E657720416374697665584F626A65637428225044462E5064664374726C22293B7D69662863213D3D6E756C6C297B72657475726E20747275653B7D7D72657475726E2066616C73653B7D3B76617220753D66756E6374696F6E28297B7661722063';
wwv_flow_api.g_varchar2_table(6) := '2C663D6E6176696761746F722E706C7567696E732C643D662E6C656E6774682C653D2F41646F6265205265616465727C41646F6265205044467C4163726F6261742F67693B666F7228633D303B633C643B632B2B297B696628652E7465737428665B635D';
wwv_flow_api.g_varchar2_table(7) := '2E6E616D6529297B72657475726E20747275653B7D7D72657475726E2066616C73653B7D3B76617220743D66756E6374696F6E28297B76617220633D6E6176696761746F722E6D696D6554797065735B226170706C69636174696F6E2F706466225D3B72';
wwv_flow_api.g_varchar2_table(8) := '657475726E28632626632E656E61626C6564506C7567696E293B7D3B76617220733D66756E6374696F6E28297B76617220633D6E756C6C3B6966287528297C7C762829297B633D2241646F6265223B7D656C73657B696628742829297B633D2267656E65';
wwv_flow_api.g_varchar2_table(9) := '726963223B7D7D72657475726E20633B7D3B76617220713D66756E6374696F6E28297B76617220653D646F63756D656E742E676574456C656D656E747342795461674E616D65282268746D6C22293B6966282165297B72657475726E2066616C73653B7D';
wwv_flow_api.g_varchar2_table(10) := '76617220633D655B305D2E7374796C652C643D646F63756D656E742E626F64792E7374796C653B632E6865696768743D2231303025223B632E6F766572666C6F773D2268696464656E223B642E6D617267696E3D2230223B642E70616464696E673D2230';
wwv_flow_api.g_varchar2_table(11) := '223B642E6865696768743D2231303025223B642E6F766572666C6F773D2268696464656E223B7D3B76617220703D66756E6374696F6E2864297B76617220633D22222C653B6966282164297B72657475726E20633B7D666F72286520696E2064297B6966';
wwv_flow_api.g_varchar2_table(12) := '28642E6861734F776E50726F7065727479286529297B632B3D652B223D223B696628653D3D3D2273656172636822297B632B3D656E636F646555524928645B655D293B7D656C73657B632B3D645B655D3B7D632B3D2226223B7D7D72657475726E20632E';
wwv_flow_api.g_varchar2_table(13) := '736C69636528302C632E6C656E6774682D31293B7D3B766172206F3D66756E6374696F6E2864297B76617220633D6E756C6C3B7377697463682864297B636173652275726C223A633D613B627265616B3B63617365226964223A633D623B627265616B3B';
wwv_flow_api.g_varchar2_table(14) := '63617365227769647468223A633D693B627265616B3B6361736522686569676874223A633D7A3B627265616B3B63617365227064664F70656E506172616D73223A633D723B627265616B3B6361736522706C7567696E54797065466F756E64223A633D78';
wwv_flow_api.g_varchar2_table(15) := '3B627265616B3B63617365227064666F626A65637476657273696F6E223A633D773B627265616B3B7D72657475726E20633B7D3B766172206E3D66756E6374696F6E2864297B6966282178297B72657475726E2066616C73653B7D76617220633D6E756C';
wwv_flow_api.g_varchar2_table(16) := '6C3B69662864297B633D28642E6E6F6465547970652626642E6E6F6465547970653D3D3D31293F643A646F63756D656E742E676574456C656D656E74427949642864293B6966282163297B72657475726E2066616C73653B7D7D656C73657B633D646F63';
wwv_flow_api.g_varchar2_table(17) := '756D656E742E626F64793B7128293B693D2231303025223B7A3D2231303025223B7D632E696E6E657248544D4C3D273C6F626A65637409646174613D22272B612B272220747970653D226170706C69636174696F6E2F706466222077696474683D22272B';
wwv_flow_api.g_varchar2_table(18) := '692B2722206865696768743D22272B7A2B27223E3C2F6F626A6563743E273B72657475726E20632E676574456C656D656E747342795461674E616D6528226F626A65637422295B305D3B7D3B613D656E636F646555524928792E75726C292B2223222B70';
wwv_flow_api.g_varchar2_table(19) := '2872293B783D7328293B746869732E6765743D66756E6374696F6E2863297B72657475726E206F2863293B7D3B746869732E656D6265643D66756E6374696F6E2863297B72657475726E206E2863293B7D3B72657475726E20746869733B7D3B0D0A0D0A';
wwv_flow_api.g_varchar2_table(20) := '66756E6374696F6E20636F6D5F6A346C5F70646628702C772C682C746261722C704E61762C707374617475732C706D73672C707A2C70766965772C6D6F64652C6F70656E6D73672C636C6F73656D736729207B0D0A0D0A202020766172206C696E6B3D64';
wwv_flow_api.g_varchar2_table(21) := '6F63756D656E742E676574456C656D656E744279496428226C696E6B22293B0D0A20202020200D0A202020766172207064663D646F63756D656E742E676574456C656D656E7442794964282270646622293B0D0A0D0A0D0A2020696620286C696E6B2E69';
wwv_flow_api.g_varchar2_table(22) := '6E6E657248544D4C3D3D636C6F73656D736729207B0D0A0D0A097064662E696E6E657248544D4C3D27273B0D0A096C696E6B2E696E6E657248544D4C3D6F70656E6D73673B0D0A097064662E7374796C652E646973706C6179203D20276E6F6E65273B0D';
wwv_flow_api.g_varchar2_table(23) := '0A20207D0D0A2020656C73650D0A20207B0D0A0D0A20207064662E7374796C652E646973706C6179203D2027626C6F636B273B0D0A20207064662E7374796C652E6865696768743D202727202B2068202B20277078273B0D0A0D0A20207064662E737479';
wwv_flow_api.g_varchar2_table(24) := '6C652E77696474683D202727202B2077202B20277078273B0D0A0D0A202077697468566965773D747275653B0D0A20206966202870766965773D3D2764656661756C742729207B0D0A09202077697468566965773D66616C73653B0D0A20207D0D0A0D0A';
wwv_flow_api.g_varchar2_table(25) := '20200D0A0D0A0D0A202069662028746261723D3D27592729207B0D0A09746261723D313B0D0A20207D20656C7365207B0D0A2020202020202020746261723D303B0D0A20207D0D0A0D0A202069662028704E61763D3D27592729207B0D0A09704E61763D';
wwv_flow_api.g_varchar2_table(26) := '313B0D0A20207D20656C7365207B0D0A2020202020202020704E61763D303B0D0A20207D0D0A0D0A202069662028707374617475733D3D27592729207B0D0A09707374617475733D313B0D0A20207D20656C7365207B0D0A202020202020202070737461';
wwv_flow_api.g_varchar2_table(27) := '7475733D303B0D0A20207D0D0A0D0A202069662028706D73673D3D27592729207B0D0A09706D73673D313B0D0A20207D20656C7365207B0D0A2020202020202020706D73673D303B0D0A20207D0D0A0D0A0D0A0D0A202069662028776974685669657729';
wwv_flow_api.g_varchar2_table(28) := '207B0D0A0D0A0D0A0D0A2020766172206D79504446203D206E6577205044464F626A656374287B200D0A2020202020202020202020200D0A20202020202020202020202020202020202075726C3A20702C0D0A2020202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(29) := '207064664F70656E506172616D733A207B0D0A2020202020202020202020202020202020202020202020206E617670616E65733A20704E61762C0D0A202020202020202020202020202020202020202020202020746F6F6C6261723A20746261722C0D0A';
wwv_flow_api.g_varchar2_table(30) := '2020202020202020202020202020202020202020202020207374617475736261723A20707374617475732C0D0A2020202020202020202020202020202020202020202020206D657373616765733A20706D73672C0D0A2020202020202020202020202020';
wwv_flow_api.g_varchar2_table(31) := '20202020202020202020766965773A2070766965772C0D0A202020202020202020202020202020202020202020202020706167656D6F64653A206D6F64650D0A2020202020202020202020202020202020207D0D0A2020202020202020202020200D0A20';
wwv_flow_api.g_varchar2_table(32) := '20202020202020202020207D292E656D626564282270646622293B0D0A202020207D20656C7365207B0D0A0D0A0D0A0D0A202009766172206D79504446203D206E6577205044464F626A656374287B200D0A2020202020202020202020200D0A20202020';
wwv_flow_api.g_varchar2_table(33) := '202020202020202020202020202075726C3A20702C0D0A2020202020202020202020202020202020207064664F70656E506172616D733A207B0D0A2020202020202020202020202020202020202020202020206E617670616E65733A20704E61762C0D0A';
wwv_flow_api.g_varchar2_table(34) := '202020202020202020202020202020202020202020202020746F6F6C6261723A20746261722C0D0A2020202020202020202020202020202020202020202020207374617475736261723A20707374617475732C0D0A202020202020202020202020202020';
wwv_flow_api.g_varchar2_table(35) := '2020202020202020206D657373616765733A20706D73672C0D0A2020202020202020202020202020202020202020202020207A6F6F6D3A20707A2C0D0A202020202020202020202020202020202020202020202020706167656D6F64653A206D6F64650D';
wwv_flow_api.g_varchar2_table(36) := '0A2020202020202020202020202020202020207D0D0A2020202020202020202020200D0A2020202020202020202020207D292E656D626564282270646622293B0D0A0D0A097D0D0A0D0A0D0A200D0A20202020206C696E6B2E696E6E657248544D4C3D63';
wwv_flow_api.g_varchar2_table(37) := '6C6F73656D73673B0D0A20207D0D0A0D0A0D0A7D3B';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 4332417764576671 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 6495060629470889 + wwv_flow_api.g_id_offset
 ,p_file_name => 'pdfembbed.js'
 ,p_mime_type => 'text/javascript'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

commit;
begin
execute immediate 'begin sys.dbms_session.set_nls( param => ''NLS_NUMERIC_CHARACTERS'', value => '''''''' || replace(wwv_flow_api.g_nls_numeric_chars,'''''''','''''''''''') || ''''''''); end;';
end;
/
set verify on
set feedback on
set define on
prompt  ...done
